ApiOzoneReplicationResult (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiOzoneReplicationResult

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsReplicationResult
  - - com.cloudera.api.swagger.model.ApiOzoneReplicationResult

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiOzoneReplicationResult
      extends ApiHdfsReplicationResult

  Detailed information about an OZONE replication job.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiOzoneReplicationResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiOzoneReplicationResult` | `commandResultMessage(String commandResultMessage)`
    `boolean` | `equals(Object o)`
    `String` | `getCommandResultMessage()` Contains the command execution's \"result message\".
    `OzoneReplicationCommandType` | `getReplicationCommandType()` Get replicationCommandType
    `OzoneReplicationType` | `getReplicationType()` Get replicationType
    `int` | `hashCode()`
    `ApiOzoneReplicationResult` | `replicationCommandType(OzoneReplicationCommandType replicationCommandType)`
    `ApiOzoneReplicationResult` | `replicationType(OzoneReplicationType replicationType)`
    `void` | `setCommandResultMessage(String commandResultMessage)`
    `void` | `setReplicationCommandType(OzoneReplicationCommandType replicationCommandType)`
    `void` | `setReplicationType(OzoneReplicationType replicationType)`
    `String` | `toString()`

    - ### Methods inherited from class com.cloudera.api.swagger.model.ApiHdfsReplicationResult

      `addCountersItem, addFailedFilesItem, addSnapshottedDirsItem, counters, dryRun, estimatedCompletionTime, failedFiles, getCounters, getEstimatedCompletionTime, getFailedFiles, getJobDetailsUri, getJobId, getLogPath, getNumBytesCopied, getNumBytesCopyFailed, getNumBytesDryRun, getNumBytesExpected, getNumBytesSkipped, getNumFilesCopied, getNumFilesCopyFailed, getNumFilesDeleted, getNumFilesDryRun, getNumFilesExpected, getNumFilesSkipped, getProgress, getRemainingTime, getRunAsUser, getRunOnSourceAsUser, getSetupError, getSnapshottedDirs, getThroughput, isDryRun, jobDetailsUri, jobId, logPath, numBytesCopied, numBytesCopyFailed, numBytesDryRun, numBytesExpected, numBytesSkipped, numFilesCopied, numFilesCopyFailed, numFilesDeleted, numFilesDryRun, numFilesExpected, numFilesSkipped, progress, remainingTime, runAsUser, runOnSourceAsUser, setCounters, setDryRun, setEstimatedCompletionTime, setFailedFiles, setJobDetailsUri, setJobId, setLogPath, setNumBytesCopied, setNumBytesCopyFailed, setNumBytesDryRun, setNumBytesExpected, setNumBytesSkipped, setNumFilesCopied, setNumFilesCopyFailed, setNumFilesDeleted, setNumFilesDryRun, setNumFilesExpected, setNumFilesSkipped, setProgress, setRemainingTime, setRunAsUser, setRunOnSourceAsUser, setSetupError, setSnapshottedDirs, setThroughput, setupError, snapshottedDirs, throughput`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiOzoneReplicationResult

          public ApiOzoneReplicationResult()

  - ### Method Detail

    - #### commandResultMessage

          public ApiOzoneReplicationResult commandResultMessage(String commandResultMessage)

    - #### getCommandResultMessage

          public String getCommandResultMessage()

      Contains the command execution's \"result message\". If there was an error during the command execution this contains the returned error string.
      Returns:
        commandResultMessage

    - #### setCommandResultMessage

          public void setCommandResultMessage(String commandResultMessage)

    - #### replicationType

          public ApiOzoneReplicationResult replicationType(OzoneReplicationType replicationType)

    - #### getReplicationType

          public OzoneReplicationType getReplicationType()

      Get replicationType
      Returns:
        replicationType

    - #### setReplicationType

          public void setReplicationType(OzoneReplicationType replicationType)

    - #### replicationCommandType

          public ApiOzoneReplicationResult replicationCommandType(OzoneReplicationCommandType replicationCommandType)

    - #### getReplicationCommandType

          public OzoneReplicationCommandType getReplicationCommandType()

      Get replicationCommandType
      Returns:
        replicationCommandType

    - #### setReplicationCommandType

          public void setReplicationCommandType(OzoneReplicationCommandType replicationCommandType)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ApiHdfsReplicationResult`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ApiHdfsReplicationResult`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ApiHdfsReplicationResult`

Copyright © 2026. All rights reserved.